Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | Public Attributes | List of all members
cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params Struct Reference

Parameters.

`#include <tile_iterator.h>`

Inheritance diagram for cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params:

## Public Member Functions
CUTLASS_HOST_DEVICE | Params ()
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (TensorRef const &ref)
| Constructs with a CompactTensorRef<> More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr, Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr, Index stride_d, Index stride_h, Index stride_w)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (TensorRef const &ref)
| Initializes params to access a raw pointer. More...
CUTLASS_HOST_DEVICE int | initialize (SharedStorage const &storage)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr, Index stride_d, Index stride_h, Index stride_w)
| Initializes params to access a raw pointer. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr, Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initializes params. More...
CUTLASS_HOST_DEVICE int | initialize ()
Public Member Functions inherited from cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
CUTLASS_HOST_DEVICE | Params ()
| Constructs params. More...
CUTLASS_HOST_DEVICE | Params (Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Constructs params. More...
CUTLASS_HOST_DEVICE | Params (Coord< 4 > const &stride)
| Constructs params with a stride vector. More...
CUTLASS_HOST_DEVICE int | initialize (Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initializes params. More...
CUTLASS_HOST_DEVICE int | initialize (Coord< 4 > const &stride)
| Initializes the parameters object from a vector of strides. More...
CUTLASS_HOST_DEVICE int | initialize (Index _stride_d, Index _stride_h, Index _stride_w)
| Initializes the parameters object from a vector of strides. More...
CUTLASS_HOST_DEVICE int | initialize ()
| Gotta have this. More...

## Public Attributes
Scalar const * | pointer
| Pointer to memory. More...
Public Attributes inherited from cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
Index | stride_d
Index | stride_h
Index | stride_w
Index | inc_d
Index | inc_h
Index | inc_w
Index | inc_advance

## Constructor & Destructor Documentation

## ◆ Params() [1/5]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::Params | ( |  | ) |
| inline

## ◆ Params() [2/5]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::Params | ( | Scalar const * | ptr | ) |
| inline

## ◆ Params() [3/5]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::Params | ( | TensorRef const & | ref | ) |
| inline

## ◆ Params() [4/5]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::Params | ( | Scalar const * | ptr,
|  | Index | _stride_d,
|  | Index | _stride_h,
|  | Index | _stride_w,
|  | Index | _inc_d,
|  | Index | _inc_h,
|  | Index | _inc_w,
|  | Index | _inc_advance
| ) |  |
| inline

## ◆ Params() [5/5]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::Params | ( | Scalar const * | ptr,
|  | Index | stride_d,
|  | Index | stride_h,
|  | Index | stride_w
| ) |  |
| inline

## Member Function Documentation

## ◆ initialize() [1/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( | TensorRef const & | ref | ) |
| inline

## ◆ initialize() [2/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( | SharedStorage const & | storage | ) |
| inline

## ◆ initialize() [3/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( | Scalar const * | ptr | ) |
| inline

## ◆ initialize() [4/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( | Scalar const * | ptr,
|  | Index | stride_d,
|  | Index | stride_h,
|  | Index | stride_w
| ) |  |
| inline

## ◆ initialize() [5/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( | Scalar const * | ptr,
|  | Index | _stride_d,
|  | Index | _stride_h,
|  | Index | _stride_w,
|  | Index | _inc_d,
|  | Index | _inc_h,
|  | Index | _inc_w,
|  | Index | _inc_advance
| ) |  |
| inline

## ◆ initialize() [6/6]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE int cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::initialize | ( |  | ) |
| inline

## Member Data Documentation

## ◆ pointer

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, FragmentElementType::Kind FragmentElementType_ = FragmentElementType::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

Scalar const* cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params::pointer

The documentation for this struct was generated from the following file:

- tile_iterator.h